library(stockassessment)
load("run/model.RData")
FC<-list()
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,.19, .19), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA), label="MSY approach, Fmsy lower", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,.26, .26), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA), label="MSY approach, Fp05 as Fmsy upper", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,.23, .23), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA), label="Fmsy", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,NA, NA), fscale=c(NA,1,NA,NA), catchval=c(419,NA,0,0), label="zero catch", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,.315, .315), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA), label="other options, Flim", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,NA,.238), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA),nextssb=c(NA,NA, 1850,NA),label="SSB(2022)= Blim", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,0.20, NA), fscale=c(NA,1,NA,1), catchval=c(419,NA,NA,NA),label="other options, F=F2020", rec.years=2004:2019)
set.seed(123456)
FC[[length(FC)+1]] <- forecast(fit, fval=c(NA,NA,NA,.238), fscale=c(NA,1,NA,NA), catchval=c(419,NA,NA,NA),nextssb=c(NA,NA, 2600,NA),label="SSB(2022)= Bpa,Btrigger", rec.years=2004:2019)
save(FC, file="run/forecast.RData")
